Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
Blog Ubuntu -- Správa "projektů" české komunity Ubuntu

Novinky: Školení nejen k OS Ubuntu pro širokou veřejnost, více informací zde.

Autor Téma: Tqsl-2.4.3  (Přečteno 311 krát)

min25

  • Člen
  • **
  • Příspěvků: 436
  • Karma: +20/-19
    • Zobrazit profil
Tqsl-2.4.3
« kdy: 23 Prosinec 2018, 12:50:39 »
Zdravím, velice bych potřeboval nainstalovat novou verzi Tqsl 2.4.3 http://www.arrl.org/tqsl-download , bohužel se mi to v Kubuntu 18.04 nedaří. Balíček ani ppa s tohle novou verzí neexistuje.
Prosím mohl by mi někdo poradit co je třeba stáhnout a podrobnější postup jak to zkompilovat, případně vytvořit deb balíček?

juwa2

  • Závislák
  • ****
  • Příspěvků: 2291
  • Karma: +169/-35
    • Zobrazit profil
Re:Tqsl-2.4.3
« Odpověď #1 kdy: 23 Prosinec 2018, 13:18:05 »
Ano, tuhle novou verzi ještě nikdo nezkompiloval, k dispozici je pouze v. 2.3.1-1build2
Pokud toužíš po nejnovější, budeš si ji muset zkompilovat sám ze zdrojáku http://www.arrl.org/files/file/LoTW%20Instructions/tqsl-2.4.3.tar.gz
Stažený archiv rozbal. Ve složce tqsl-2.4.3 najdeš soubor INSTALL který obsahuje návod ke kompilaci/instalaci
Možná ti budou chybět nějaké knihovny - ty je třeba doplnit a pak kompilaci opakovat, chce to určité zkušenosti.
Pokud se kompilace nepodaří, nezbývá než vyčkat až se nová verze objeví v některém repozitáři...
« Poslední změna: 23 Prosinec 2018, 13:34:54 od juwa2 »

min25

  • Člen
  • **
  • Příspěvků: 436
  • Karma: +20/-19
    • Zobrazit profil
Re:Tqsl-2.4.3
« Odpověď #2 kdy: 23 Prosinec 2018, 14:44:20 »
No jo to jsem zkouše, ale
cmake
make
make install
vůbec nereaguje, proto bych rád věděl co doinstalovat abych to vůbec mohl vyzkoušet :)

juwa2

  • Závislák
  • ****
  • Příspěvků: 2291
  • Karma: +169/-35
    • Zobrazit profil
Re:Tqsl-2.4.3
« Odpověď #3 kdy: 23 Prosinec 2018, 15:08:35 »
No jo to jsem zkouše, ale
cmake
make
make install
vůbec nereaguje, proto bych rád věděl co doinstalovat abych to vůbec mohl vyzkoušet :)

No a jak to zadáváš? Máš vůbec otevřený Terminál v té složce??
Spusť Terminál a postupně zadej:
Kód: [Vybrat]
cd /cesta/ke/tqsl-2.4.3
cmake .
make
sudo make install

(jako cestu zadej samozř. skutečnou cestu,  za "cmake" je mezera a tečka !!)
-----------------------------------------------------------------------------------------------------------------------------------------
Po druhém příkazu se zobrazí výpis kompilace s případnou chybou (co ti chybí).
S pomocí návodu + google najdi řešení (doplň do systému chybějící knihovny).
Pak spusť kompilaci (druhý příkaz) znova.

Pokud bude bez chyb, můžeš pokračovat třetím + čtvrtým příkazem.

P.S. Je celkem odvážné pouštět se do kompilace a přitom neznat ani základní věci, ale na druhou stranu - není co pokazit...
« Poslední změna: 23 Prosinec 2018, 15:27:53 od juwa2 »

min25

  • Člen
  • **
  • Příspěvků: 436
  • Karma: +20/-19
    • Zobrazit profil
Re:Tqsl-2.4.3
« Odpověď #4 kdy: 23 Prosinec 2018, 15:47:00 »
Vždycky je něco poprvé  ;D Nikdy jsem to nepotřeboval, třeba jsem ale blb a nezvládnu to a musím použít Wine  >:(  Terminál mám ve složce ale cmake a make Kubuntu nezná asi nejsou nainstalované. V synapticu je nemohu najít, asi to bude obsaženo v nějakém větším balíčku ??

juwa2

  • Závislák
  • ****
  • Příspěvků: 2291
  • Karma: +169/-35
    • Zobrazit profil
Re:Tqsl-2.4.3
« Odpověď #5 kdy: 23 Prosinec 2018, 16:32:20 »
Vždycky je něco poprvé  ;D Nikdy jsem to nepotřeboval, třeba jsem ale blb a nezvládnu to a musím použít Wine  >:(  Terminál mám ve složce ale cmake a make Kubuntu nezná asi nejsou nainstalované. V synapticu je nemohu najít, asi to bude obsaženo v nějakém větším balíčku ??

V Synapticu to normálně je - je to součástí klasických repozitářů - možná si budeš muset povolit zdroje viz obrázek.

P.S. V Synapticu v 18.04 není rychlý filtr který byl v předchozích verzích, něco tam pak najít je docela opruz.
Rychlý filtr si do Synapticu doinstaluj takto:
Kód: [Vybrat]
sudo apt-get install apt-xapian-index
sudo update-apt-xapian-index --verbose --force

Určitě se ti bude hodit  ;)
« Poslední změna: 23 Prosinec 2018, 16:43:54 od juwa2 »

min25

  • Člen
  • **
  • Příspěvků: 436
  • Karma: +20/-19
    • Zobrazit profil
Re:Tqsl-2.4.3
« Odpověď #6 kdy: 27 Prosinec 2018, 21:35:42 »
juwa2 : tak jsem blb a nezadařilo se ani po dvou půldnech které jsem tomu věnoval. Komilaci jsem podle tvoji rady spustil, ale ty závislosti nejsou jenom doinstalování deb, nebo z repozitáře. Bohužel se zase musí stáhnout zdroják a zkompilovat závislost. To se mi u první po pár pokusech podařilo, ale druhá potřebuje snad všechno  :) Vzdal jsem to snad to někdy někdo zkompiluje a udělá balíček...
Zatím to jede ve Wine. Ještě jednou díky za ochotu a vše nej v roce 2019

juwa2

  • Závislák
  • ****
  • Příspěvků: 2291
  • Karma: +169/-35
    • Zobrazit profil
Re:Tqsl-2.4.3
« Odpověď #7 kdy: 27 Prosinec 2018, 22:06:08 »
juwa2 : tak jsem blb a nezadařilo se ani po dvou půldnech které jsem tomu věnoval. Komilaci jsem podle tvoji rady spustil, ale ty závislosti nejsou jenom doinstalování deb, nebo z repozitáře. Bohužel se zase musí stáhnout zdroják a zkompilovat závislost. To se mi u první po pár pokusech podařilo, ale druhá potřebuje snad všechno  :) Vzdal jsem to snad to někdy někdo zkompiluje a udělá balíček...
Zatím to jede ve Wine. Ještě jednou díky za ochotu a vše nej v roce 2019

Ano, někdy se ty potřebné závislosti zřetězí tak, že je to v podstatě neřešitelné.
Prostě to přes veškerou snahu nejde, občas se to stává...
P.S. To, že to doposud nikdo nezkompiloval asi nebude pouze náhoda..... :-[